Package ru.bitel.bgbilling.modules.voice.common.bean

# Enum Class VoiceSessionDetailOrder.EmailSend

java.lang.Object
java.lang.Enum<VoiceSessionDetailOrder.EmailSend>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionDetailOrder.EmailSend

All Implemented Interfaces:
  `Serializable`, `Comparable<VoiceSessionDetailOrder.EmailSend>`, `Constable`

Enclosing class:
  `VoiceSessionDetailOrder`

public static enum VoiceSessionDetailOrder.EmailSend extends Enum<VoiceSessionDetailOrder.EmailSend>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `NOTIFICATION`
  `REPORT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceSessionDetailOrder.EmailSend`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoiceSessionDetailOrder.EmailSend[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final VoiceSessionDetailOrder.EmailSend NONE

  - ### NOTIFICATION

    public static final VoiceSessionDetailOrder.EmailSend NOTIFICATION

  - ### REPORT

    public static final VoiceSessionDetailOrder.EmailSend REPORT

- ## Method Details

  - ### values

    public static VoiceSessionDetailOrder.EmailSend[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoiceSessionDetailOrder.EmailSend valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null